%define		template apcupsd
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Pulls APC data via APC UPS Daemon (apcupsd) for non-SNMP hardware
Name:		cacti-template-%{template}
Version:	1.1
Release:	7
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/usertemplate:data:apc:apcupsd:apcupsd_%{version}.zip
# Source0-md5:	eedc80bd5d93826b7df914f5070bf625
Patch0:		path.patch
URL:		http://docs.cacti.net/usertemplate:data:apc:apcupsd
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.554
BuildRequires:	unzip
Requires:	cacti >= 0.8.7e-8
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		resourcedir		%{cactidir}/resource
%define		scriptsdir		%{cactidir}/scripts

%description
Pulls APC data via APC UPS Daemon (apcupsd) for non-SNMP hardware.

%prep
%setup -qc
%undos -f php
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{resourcedir},%{scriptsdir}}
cp -p *.xml $RPM_BUILD_ROOT%{resourcedir}
install -p *.php $RPM_BUILD_ROOT%{scriptsdir}

%post
%cacti_import_template %{resourcedir}/cacti_graph_template_apc_battery_statistics.xml
%cacti_import_template %{resourcedir}/cacti_graph_template_apc_line_statistics.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{scriptsdir}/query_apcupsd.php
%{resourcedir}/cacti_graph_template_apc_battery_statistics.xml
%{resourcedir}/cacti_graph_template_apc_line_statistics.xml
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> a9926b8
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 2bf0114
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Fri Dec 23 2011 Elan Ruusamäe <glen@pld-linux.org> 0082b2a
- release 2

* Sun Dec 18 2011 Elan Ruusamäe <glen@pld-linux.org> 947b1c6
- new

